package com.ruoyi.test.seriver;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.test.domain.DO.Correct;
import com.ruoyi.test.domain.DO.ScoreListDO;
import com.ruoyi.test.domain.Markedtest;
import com.ruoyi.test.domain.StudentClass;

import java.util.List;

public interface IMarkedtestService {

    int addmarkedtest(Long senderId,Long testid);

    IPage<Markedtest> selectmarkedtest(int pagenum);

    IPage<Markedtest> selectmarkedtestBySubject(int pagenum,String subject);

    IPage<Markedtest> selectmarkedtest(int pagenum,List<StudentClass> list1);

    IPage<Markedtest> selectmarkedtestBySubject(int pagenum,List<StudentClass> list,String subject);

    List<Markedtest> selectmarkedtestListSenderId(Long senderId);

    Markedtest selectmarkedtestBySenderId(Long senderId);

    Markedtest selectmarkedtestBySenderIdAndTestid(Long senderId,Long testId);

    Markedtest selectmarkedtestByTestid(Long id,Long testId);

    List<Correct> selectByStudentList(Long id,List<Long> list);

    List<ScoreListDO> selectScoreList(Long testid,String grade,String Class1);

    Integer fabu(Long testid,String grade,String Class1);

}
